Get all virtual tag configs
curl --request GET \
--url https://api.vantage.sh/v2/virtual_tag_configs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/virtual_tag_configs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/virtual_tag_configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"virtual_tag_configs": [
{
"token": "vtag_eabf584ca1fe7769",
"created_by_token": "usr_d2ad8c75f4fee21e",
"key": "Product Team",
"overridable": false,
"backfill_until": "2025-12-01",
"collapsed_tag_keys": [],
"values": [
{
"filter": "(costs.provider = 'aws' AND costs.service = 'Amazon Elastic Compute Cloud' AND costs.account_id IN ('1234', '5678'))",
"name": "Growth",
"label_transforms": [],
"percentages": [],
"date_ranges": []
},
{
"filter": "(costs.provider = 'aws' AND costs.account_id IN ('1234', '5678')) OR (costs.provider = 'gcp' AND costs.service = 'Google Compute Engine')",
"name": "API",
"label_transforms": [],
"percentages": [],
"date_ranges": []
},
{
"filter": "(costs.provider = 'aws' AND costs.service = 'AmazonEC2')",
"business_metric_token": "bsnss_mtrc_60e1ffb95a9a00f0",
"label_transforms": [],
"percentages": [],
"date_ranges": []
},
{
"filter": "(costs.provider = 'aws' AND costs.service != 'Amazon Elastic Compute Cloud')",
"cost_metric": {
"filter": "costs.provider = 'aws' AND costs.service = 'Amazon Elastic Compute Cloud'",
"aggregation": {
"tag": "aws:CreatedBy"
}
},
"label_transforms": [],
"percentages": [],
"date_ranges": []
},
{
"filter": "(costs.provider = 'azure' AND costs.service = 'Azure Compute')",
"label_transforms": [],
"percentages": [
{
"value": "apples-a",
"pct": 50
},
{
"value": "apples-b",
"pct": 50
}
],
"date_ranges": []
}
]
}
]
}VirtualTags
Get all virtual tag configs
Return all VirtualTagConfigs that the current API token has access to.
GET
/
virtual_tag_configs
Get all virtual tag configs
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
A search query to filter VirtualTagConfigs by key.
Response
200 - application/json
VirtualTagConfigs model
Show child attributes
Show child attributes
⌘I